Secrets of Toanium - Bug #119

Card Player isn't centered
06/22/2021 11:30 PM - Jay Gischer

Status: Closed Start date: 06/22/2021
Priority: Normal Due date:

Assignee: Jay Gischer % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

That's because the left edge of it is put in the middle of the screen, not the middle of it.

History

#1 - 07/23/2021 10:39 PM - Jay Gischer

- Assignee changed from Jay Gischer to Frank Fernandez

#2 - 08/18/2021 06:07 AM - Frank Fernandez
- Status changed from New to Resolved
- Assignee changed from Frank Fernandez to Jay Gischer

- % Done changed from 0 to 100

Should be good to go on dev.

#3 - 10/26/2021 05:58 PM - Administrator Administrator
- Status changed from Resolved to In Progress

- Assignee changed from Jay Gischer to Frank Fernandez

When the first card is played, it is centered, and it looks good. When the second (enhancement) card is played, it is placed to the right.

I think I'd like this situation to be recentered, so that the center of gravity of the two cards is in the center of the screen. And then if one of them is
reconsidered, we go back to having it in the center.

#4 - 11/10/2021 05:16 PM - Frank Fernandez
- Status changed from In Progress to Resolved

- Assignee changed from Frank Fernandez to Jay Gischer

Played around with this and added logic so that the card player is centered in both one and two card scenarios, recentering accordingly when needed.

#5 - 12/30/2021 03:37 PM - Administrator Administrator

- Status changed from Resolved to Closed

Fixed in 0.16.2
